SDL_RenderCoordinatesToWindow(3)

NAME
SDL_RenderCoordinatesToWindow - Get a point in window coordinates when given a point in render coordinates.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderCoordinatesToWindow(SDL_Renderer *renderer, float x, float y, float *window_x, float *window_y);

FUNCTION PARAMETERS

renderer
    the rendering context

x   the x coordinate in render coordinates

y   the y coordinate in render coordinates

window_x
    a pointer filled with the x coordinate in window coordinates

window_y
    a pointer filled with the y coordinate in window coordinates

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetRenderLogicalPresentation(3), SDL_SetRenderScale(3)